<div class="columns" *ngIf="sessionUser === null">
  <div class="column is-5">
  </div>

  <div class="column is-2">
    <form class="container" #loginForm="ngForm" (ngSubmit)="login()">
      <div class="field">
        <br>
        <label class="label">Username:</label>
        <div class="control has-icons-left">
          <input class="input" placeholder="Username" name="username" #username="ngModel"
                 [ngClass]="{'is-danger': !username.valid && !username.pristine}"
                 [(ngModel)]="loginData.username"
                 required>
          <span class="icon is-small is-left">
        <i class="fas fa-user"></i></span>
        </div>
        <p class="help is-danger" *ngIf="!username.valid && !username.pristine">Please enter a username</p>
      </div>

      <div class="field">
        <label class="label">Password:</label>
        <div class="control has-icons-left">
          <input class="input" placeholder="Password" type="password" name="password" #password="ngModel"
                 [ngClass]="{'is-danger': !password.valid && !password.pristine}"
                 [(ngModel)]="loginData.password"
                 required>
          <span class="icon is-small is-left">
        <i class="fas fa-lock"></i></span>
        </div>
        <p class="help is-danger" *ngIf="!password.valid && !password.pristine">Please enter a password</p>
      </div>

      <div *ngIf="!success">
        <p class="help is-danger">Log in failed!<br>Username and/or password is invalid</p><br>
      </div>

      <div class="field">
        <p class="control">
          <button class="button" type="submit" [disabled]="!loginForm.form.valid">Login</button>
        </p>
      </div>
    </form>
  </div>
</div>
<button class="button" *ngIf="sessionUser !== null" (click)="logout()">Logout</button>


